%% compare benchmarking result
clc, clear, close all

load calculationOfMineForBenchmarking_vib.mat
Watt_list_Loki_vib = mine_reset_power;
mine_n_O_Loki_vib = cell2mat(mine_n_O_list);
mine_Te_Loki_vib = cell2mat(mine_Te_list);
mine_n_e_Loki_vib = cell2mat(mine_n_e_list);

load calculationOfMineForBenchmarking_vib_ORecom.mat
Watt_list_Loki_vib_ORecom = mine_reset_power;
mine_n_O_Loki_vib_ORecom = cell2mat(mine_n_O_list);
mine_Te_Loki_vib_ORecom = cell2mat(mine_Te_list);
mine_n_e_Loki_vib_ORecom = cell2mat(mine_n_e_list);

load calculationOfMineForBenchmarking_ORecom_0p003.mat
Watt_list_Loki_ORecom_0p003 = mine_reset_power;
mine_n_O_Loki_ORecom_0p003 = cell2mat(mine_n_O_list);
mine_Te_Loki_ORecom_0p003 = cell2mat(mine_Te_list);
mine_n_e_Loki_ORecom_0p003 = cell2mat(mine_n_e_list);

addpath('0_Was10');

%% n_O result by Was10
[Experiment_n_O_Watt,Experiment_n_O]=get_n_Te('nO_experiment.csv');
[Simulation_n_O_Watt,Simulation_n_O]=get_n_Te('nO_simulation.csv');


%% ne_Te result by Was10
[Simulation_n_e_Watt,Simulation_n_e]=get_n_Te('ne_simulation_point.csv');
[Simulation_Te_Watt,Simulation_Te]=get_n_Te('Te_simulation_point.csv');


figure(1)
yyaxis left
h1=plot(Simulation_n_e_Watt,Simulation_n_e,'^','Color','b','MarkerSize',8);
set(h1, 'markerfacecolor', get(h1, 'color'));
hold on
odd_Loki=1:2:length(Watt_list_Loki_vib);
plot(Watt_list_Loki_vib(odd_Loki),mine_n_e_Loki_vib(odd_Loki),'-','Color','b','LineWidth',2)
set(gca,'FontSize',15)
xlim([0.2 1.2])
xticks(0.2:0.2:1.2)
xlabel('Absorbed Power(W)')
set(gca, 'YScale', 'log')
ylim([1e16 1e18])
ylabel('Electron density (m^{-3})')
yyaxis right
h2 = plot(Simulation_Te_Watt,Simulation_Te,'o','Color','r','MarkerSize',8);
set(h2, 'markerfacecolor', get(h2, 'color'));
hold on 
plot(Watt_list_Loki_vib,mine_Te_Loki_vib,'-','Color','r','LineWidth',2)
set(gca,'FontSize',15)
xlim([0.2 1.2])
xticks(0.2:0.2:1.2)
xlabel('Absorbed power (W)')
ylim([0 3])
ylabel('Electron temperature (eV)')
text(0.3,1,'e','Color','b','FontSize',15)
text(1,2.5,'T_e','Color','r','FontSize',15)
ax = gca;
ax.YAxis(1).Color = 'b';
ax.YAxis(2).Color = 'r';
lgd5 = legend('Sim.(1-D)','Sim.(0-D)','Sim.(1-D)','Sim.(0-D)','Location','southeast')
lgd5.FontSize = 15;
set(gcf,'position',[100,100,600,450])
text(0.90,0.95,'(a)','Units','normalized','Color','k','FontSize',15)
% saveas(figure(1),'/home/he/Pictures/paper/3a_Was10_neTe.jpg');
% saveas(figure(1),'/home/he/Pictures/paper/3a_Was10_neTe.png');
% saveas(figure(1),'/home/he/Pictures/paper/3a_Was10_neTe.eps', 'epsc');
% saveas(figure(1),'/home/he/Pictures/paper/3a_Was10_neTe.pdf');


figure(2)
set(gca, 'YScale', 'log')
set(gca,'FontSize',15)
plot(Experiment_n_O_Watt/20,Experiment_n_O,'s','Color',[0 0.5 0],'MarkerSize',8)
hold on
set(gca, 'YScale', 'log')
set(gca,'FontSize',15)
h1=plot(Simulation_n_O_Watt,Simulation_n_O./0.37,'s','Color',[0 0.5 0],'MarkerSize',8);
hold on
odd_Loki = 1:2:length(Watt_list_Loki_vib);
plot(Watt_list_Loki_vib(odd_Loki),mine_n_O_Loki_vib(odd_Loki),'Color',[0 0.5 0],'LineStyle','-','LineWidth',2)
hold on
plot(Watt_list_Loki_ORecom_0p003,mine_n_O_Loki_ORecom_0p003,'Color',[0 0.5 0],'LineStyle','-','LineWidth',2)
hold on
plot(Watt_list_Loki_vib_ORecom(odd_Loki),mine_n_O_Loki_vib_ORecom(odd_Loki),'Color',[0 0.5 0],'LineStyle','-','LineWidth',2)
set(gca,'FontSize',15)
set(h1, 'markerfacecolor', get(h1, 'color'));
xlim([0.1 1.1])
xticks(0:0.2:1.2)
xlabel('Absorbed power (W)','FontSize', 15)
ylim([1e21 2.3e22])
ylabel('O(^3P) density (m^{-3})','FontSize', 15)
hold off
text(0.2,3.7e21,'\gamma_{O} = 0','FontSize',15)
text(0.11,1.9e21,'\gamma_{O} = 0.003','FontSize',15)
text(0.2,1.2e21,'\gamma_{O} = 1','FontSize',15)
lgd1 = legend({'Meas.','Sim.(1-D)','Sim.(0-D)'},'Location','northwest')
lgd1.FontSize = 15;
set(gcf,'position',[100,100,600,450])
text(0.90,0.95,'(b)','Units','normalized','Color','k','FontSize',15)
% saveas(figure(2),'/home/he/Pictures/paper/3b_Was10_nO.jpg');
% saveas(figure(2),'/home/he/Pictures/paper/3b_Was10_nO.png');
% saveas(figure(2),'/home/he/Pictures/paper/3b_Was10_nO.eps', 'epsc');
% saveas(figure(2),'/home/he/Pictures/paper/3b_Was10_nO.pdf');

